import type { App } from 'vue';
import nsDatePicker from './date-picker.vue';
import nsMonthPicker from './month-picker.vue';
import nsRangePicker from './range-picker.vue';
import nsWeekPicker from './week-picker.vue';
import nsYearPicker from './year-picker.vue';
import vueCron from './v-cron.vue';
nsDatePicker.RangePicker = nsRangePicker;
nsDatePicker.MonthPicker = nsMonthPicker;
nsDatePicker.WeekPicker = nsWeekPicker;
nsDatePicker.YearPicker = nsYearPicker;
nsDatePicker.vueCron = vueCron;
export const NsDatePicker = function (app: App) {
  app.component(nsDatePicker.name, nsDatePicker);
  app.component(nsDatePicker.RangePicker.name, nsDatePicker.RangePicker);
  app.component(nsDatePicker.MonthPicker.name, nsDatePicker.MonthPicker);
  app.component(nsDatePicker.WeekPicker.name, nsDatePicker.WeekPicker);
  app.component(nsDatePicker.YearPicker.name, nsDatePicker.YearPicker);
  app.component(nsDatePicker.vueCron.name, nsDatePicker.vueCron);
  return app;
};
